Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
domains
[Domains] List all domains
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "legacy_id": 123,
      "name": "<string>",
      "status": "pending",
      "registration_date": "2023-12-25",
      "expiration_date": "2023-12-25",
      "auto_renew": true,
      "whois_privacy": true,
      "is_active": true,
      "website_preview": {
        "page_title": "<string>",
        "favicon_url": "<string>",
        "thumbnail_url": "<string>",
        "ssl_status": "valid",
        "ssl_expires_at": "2023-11-07T05:31:56Z",
        "http_status": 123,
        "last_check_at": "2023-11-07T05:31:56Z"
      },
      "created": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string<uuid>
required
project_id
string<uuid>
required

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

Successfully retrieved the list of domains

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"